Wijmo 5/Wijmo 3

Wijmo Enterprise専用コントロール(FinancialChart、FlexSheet、FlexViewer、MultiRow、OLAP)はWijmo 5と同様のアーキテクチャのためWijmo 5と同じです。

サポートブラウザ

Internet Explorer Microsoft Edge Chrome Firefox Safari Opera 備考
Wijmo 5 9以上 最新版 5以上 4以上 5以上 12以上 ECMAScript 5をサポートしているブラウザに準拠
Wijmo 3 7以上(jQuery 2.x利用の場合は9以上) 最新版最新版-1 最新版最新版-1 5.1以上 最新版最新版-112.1x jQueryjQuery UI に準拠
※Wijmo 3をモバイル環境で使用する場合の補足
  • 下記バージョンのjQuery Mobileがサポートしているブラウザに準拠します。詳細はjQuery MobileのWebサイトでご確認ください
  • チャートウィジェットをAndroid 上で実行する場合はIce Cream Sandwich バージョン以降が必要です。(描画にSVGを使用しているため)

jQuery

jQuery jQuery UI jQuery Mobile 備考
Wijmo 5 jQueryとの依存関係なし(不要)
Wijmo 3 1.11.1/2.1.1 1.11.0 1.14.0 jQuery/jQuery UI必須

その他のライブラリ(利用は任意)

AngularJS KnockoutJS
Wijmo 5 1.3.15 3.2.0
Wijmo 3 1.0.2 3.1.0

※ 動作確認を実施したバージョン

Wijmo 3エクスポートサービス

OS Windows 7/8/8.1/Server 2008/Server 2008 R2/Server 2012/Server 2012 R2/Server 2016
Webサーバー IIS 7.0以上、ASP.NET 4.0以上※ Windows 8の場合はASP.NET 4.5以上
フレームワーク .NET Framework 4以上
ブラウザ Internet Explorer 9以上※ Chartエクスポートのマークアップモードを使用する場合のみ、サーバー環境で必要

※ Windows7、Microsoft Windows Server 2008 R2 をご利用の場合、Microsoftのhotfix KB2468871を適用のうえ、本製品をご利用ください。